## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLTableColumnDefinitionRegular

All Superinterfaces:
  SQLObject, SQLQueryObject, XMLTableColumnDefinitionItem

All Known Implementing Classes:
  XMLTableColumnDefinitionRegularImpl

public interface XMLTableColumnDefinitionRegular
extends XMLTableColumnDefinitionItem

A representation of the model object 'XML Table Column Definition Regular'.

The following features are supported:

- `Data Type`
- `Passing Option`
- `Table Column Pattern`
- `Column Definition Default`

See Also:
  `SQLXMLQueryModelPackage.getXMLTableColumnDefinitionRegular()`

Method Summary
`XMLTableColumnDefinitionDefault` `getColumnDefinitionDefault()` Returns the value of the 'Column Definition Default' containment reference.
`DataType` `getDataType()` Returns the value of the 'Data Type' containment reference.
`XMLPassingType` `getPassingOption()` Returns the value of the 'Passing Option' attribute.
`java.lang.String` `getTableColumnPattern()` Returns the value of the 'Table Column Pattern' attribute.
`void` `setColumnDefinitionDefault(XMLTableColumnDefinitionDefault value)` Sets the value of the '`Column Definition Default`' containment reference.
`void` `setDataType(DataType value)` Sets the value of the '`Data Type`' containment reference.
`void` `setPassingOption(XMLPassingType value)` Sets the value of the '`Passing Option`' attribute.
`void` `setTableColumnPattern(java.lang.String value)` Sets the value of the '`Table Column Pattern`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.xml.query.XMLTableColumnDefinitionItem
`getTableFunction, setTableFunction`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getDataType

    public DataType getDataType()

  Returns the value of the 'Data Type' containment reference.

  If the meaning of the 'Data Type' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Data Type' containment reference.
  See Also:
    `setDataType(DataType)`, `SQLXMLQueryModelPackage.getXMLTableColumnDefinitionRegular_DataType()`

### setDataType

    public void setDataType(DataType value)

  Sets the value of the '`Data Type`' containment reference.

  Parameters:
    `value` - the new value of the 'Data Type' containment reference.
  See Also:
    `getDataType()`

### getPassingOption

    public XMLPassingType getPassingOption()

  Returns the value of the 'Passing Option' attribute. The literals are from the enumeration `XMLPassingType`.

  If the meaning of the 'Passing Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Passing Option' attribute.
  See Also:
    `XMLPassingType`, `setPassingOption(XMLPassingType)`, `SQLXMLQueryModelPackage.getXMLTableColumnDefinitionRegular_PassingOption()`

### setPassingOption

    public void setPassingOption(XMLPassingType value)

  Sets the value of the '`Passing Option`' attribute.

  Parameters:
    `value` - the new value of the 'Passing Option' attribute.
  See Also:
    `XMLPassingType`, `getPassingOption()`

### getTableColumnPattern

    public java.lang.String getTableColumnPattern()

  Returns the value of the 'Table Column Pattern' attribute.

  If the meaning of the 'Table Column Pattern' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Column Pattern' attribute.
  See Also:
    `setTableColumnPattern(String)`, `SQLXMLQueryModelPackage.getXMLTableColumnDefinitionRegular_TableColumnPattern()`

### setTableColumnPattern

    public void setTableColumnPattern(java.lang.String value)

  Sets the value of the '`Table Column Pattern`' attribute.

  Parameters:
    `value` - the new value of the 'Table Column Pattern' attribute.
  See Also:
    `getTableColumnPattern()`

### getColumnDefinitionDefault

    public XMLTableColumnDefinitionDefault getColumnDefinitionDefault()

  Returns the value of the 'Column Definition Default' containment reference. It is bidirectional and its opposite is '`Column Definition Regular`'.

  If the meaning of the 'Column Definition Default' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column Definition Default' containment reference.
  See Also:
    `setColumnDefinitionDefault(XMLTableColumnDefinitionDefault)`, `SQLXMLQueryModelPackage.getXMLTableColumnDefinitionRegular_ColumnDefinitionDefault()`, `XMLTableColumnDefinitionDefault.getColumnDefinitionRegular()`

### setColumnDefinitionDefault

    public void setColumnDefinitionDefault(XMLTableColumnDefinitionDefault value)

  Sets the value of the '`Column Definition Default`' containment reference.

  Parameters:
    `value` - the new value of the 'Column Definition Default' containment reference.
  See Also:
    `getColumnDefinitionDefault()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.